### File

`src/app/shared/components/dumb-parent-component.ts`

### Description

Empty parent component for inheritance demo

### Index

###### Properties

- color
- Public parentProperty

###### Methods

- onMouseup

###### Inputs

- parentInput

###### Outputs

- parentoutput

###### HostBindings

- style.color

###### HostListeners

- mouseup

### Properties

color
Type : `string`
Decorators : `@HostBinding('style.color')`
Defined in src/app/shared/components/dumb-parent-component.ts:17
HostBinding description

Public parentProperty
Defined in src/app/shared/components/dumb-parent-component.ts:11

### Methods

onMouseup
`onMouseup()`
Decorators : `@HostListener('mouseup')`
Defined in src/app/shared/components/dumb-parent-component.ts:20
Returns : `void`

### Inputs

parentInput
Type : `string`
Defined in src/app/shared/components/dumb-parent-component.ts:7

### Outputs

parentoutput
Defined in src/app/shared/components/dumb-parent-component.ts:9

### HostBindings

style.color
Type : `string`
Defined in src/app/shared/components/dumb-parent-component.ts:17
HostBinding description

### HostListeners

mouseup
`mouseup()`
Defined in src/app/shared/components/dumb-parent-component.ts:20

    import { Input, Output, HostBinding, HostListener } from '@angular/core';

    /**
     * Empty parent component for inheritance demo
     */
    export class DumbParentComponent {
        @Input() public parentInput: string;

        @Output() public parentoutput;

        public parentProperty;

        /**
         * HostBinding description
         */
        @HostBinding('style.color')
        color: string;

        @HostListener('mouseup')
        onMouseup(): void {}
    }

# results matching ""

# No results matching ""